Package de.gebit.integrity.wrapper

## Interface WrapperFactory

- All Known Implementing Classes:
    `DefaultWrapperFactory`

      public interface WrapperFactory

  The wrapper factory is responsible for the actual creation of the `FixtureWrapper` and `CustomOperationWrapper` instances. This also includes instantiation of the fixture/operation classes.
  Author:
    Rene Schneider - initial API and implementation

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CustomOperationWrapper` | `newCustomOperationWrapper​(CustomOperation anOperation)` | Creates a new `CustomOperationWrapper` for the given `CustomOperation`.
    `FixtureWrapper<?>` | `newFixtureWrapper​(MethodReference aFixtureMethodRef)` | Creates a new `FixtureWrapper` for the given `MethodReference`.

- - ### Method Detail

    - #### newFixtureWrapper

          FixtureWrapper<?> newFixtureWrapper​(MethodReference aFixtureMethodRef)
                                       throws ClassNotFoundException,
                                              InstantiationException,
                                              IllegalAccessException

      Creates a new `FixtureWrapper` for the given `MethodReference`.
      Parameters:
        `aFixtureMethodRef` - the fixture method to instantiate
      Returns:
        the `FixtureWrapper` instance
      Throws:
        `ClassNotFoundException`
        `InstantiationException`
        `IllegalAccessException`

    - #### newCustomOperationWrapper

          CustomOperationWrapper newCustomOperationWrapper​(CustomOperation anOperation)
                                                    throws ClassNotFoundException

      Creates a new `CustomOperationWrapper` for the given `CustomOperation`.
      Parameters:
        `anOperation` - the operation to instantiate
      Returns:
        the `CustomOperationWrapper` instance
      Throws:
        `ClassNotFoundException`